# Class HashNode<K, V>

data-structure-typed

#### Author

Tyler Zeng

#### Copyright

Copyright (c) 2022 Tyler Zeng zrwusa@gmail.com

#### License

MIT License

#### Type Parameters

- #### K

- #### V

#### Hierarchy

- HashNode

- Defined in src/data-structures/hash/hash-table.ts:8

#####
Index

### Constructors

constructor

### Properties

key
next
val

## Constructors

### constructor

- new HashNode<K, V>(key, val): HashNode<K, V>

- #### Type Parameters

  - #### K

  - #### V

  #### Parameters

  - ##### key: K

  - ##### val: V

  #### Returns HashNode<K, V>

  - Defined in src/data-structures/hash/hash-table.ts:13

## Properties

### key

key: K

- Defined in src/data-structures/hash/hash-table.ts:9

### next

next: null | HashNode<K, V>

- Defined in src/data-structures/hash/hash-table.ts:11

### val

val: V

- Defined in src/data-structures/hash/hash-table.ts:10

Generated using TypeDoc